using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectShoeShop.Entities;

namespace ProjectShoeShop.Repositories;

public interface ISupplyRepository
{
    IEnumerable<Supply> ReadSupply(DateTime? dateForm = null, DateTime? dateTo = null);
    Supply ReadSupplyById(int id);

    void CreateSupply(Supply supply);

    void UpdateSupply(Supply supply);

    void DeleteSupply(int id);
}

